package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.repal.model.dto.InitGroupDTO;
import com.winhc.repal.service.RepalGroupService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: RepalGroupController
 * @Author: xda
 * @Date: 2022/5/6 13:34
 */
@Api(tags = "汇款宝组织")
@RestController
@RequestMapping(value = "/group")
public class RepalGroupController {

    @Autowired
    private RepalGroupService repalGroupService;


    @RequestMapping(value = "/init", method = RequestMethod.POST)
    public BeanResponse<Boolean> initGroup(@RequestBody InitGroupDTO dto) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalGroupService.initGroup(dto));
    }



}
